summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRenaud Chaput (renchap) <renchap@cocoa-x.com>2008-01-31 17:04:07 +0000
committerRenaud Chaput (renchap) <renchap@cocoa-x.com>2008-01-31 17:04:07 +0000
commit4bf48013dc400ba1ac2c74e818773ac19046bafa (patch)
treec40433e9f3608b684d6335e1741e7281c88ec885
parentnew USE flags 'autopatcher' and 'rakvoice' for net-libs/raknet (diff)
downloadsunrise-4bf48013dc400ba1ac2c74e818773ac19046bafa.tar.gz
sunrise-4bf48013dc400ba1ac2c74e818773ac19046bafa.tar.bz2
sunrise-4bf48013dc400ba1ac2c74e818773ac19046bafa.zip
net-libs/raknet: Ebuild for RakNet 3.011
svn path=/sunrise/; revision=5576
-rw-r--r--net-libs/raknet/ChangeLog6
-rw-r--r--net-libs/raknet/Manifest4
-rw-r--r--net-libs/raknet/raknet-3.011.ebuild36
3 files changed, 44 insertions, 2 deletions
diff --git a/net-libs/raknet/ChangeLog b/net-libs/raknet/ChangeLog
index 760612cb7..b4aa5bf53 100644
--- a/net-libs/raknet/ChangeLog
+++ b/net-libs/raknet/ChangeLog
@@ -1,7 +1,11 @@
# ChangeLog for net-libs/raknet
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 31 Jan 2008; Renaud Chaput (renchap) <renchap@cocoa-x.com>
+ +raknet-3.011.ebuild:
+ Ebuild for RakNet 3.011
+
24 Jun 2007; Jakub Moc <jakub@gentoo.org> raknet-2.521.ebuild:
Fix multilib handling
diff --git a/net-libs/raknet/Manifest b/net-libs/raknet/Manifest
index 839dde58e..22ea802b6 100644
--- a/net-libs/raknet/Manifest
+++ b/net-libs/raknet/Manifest
@@ -1,5 +1,7 @@
AUX raknet-2.521-gentoo.diff 1972 RMD160 93c8e972c992da7194ec71d330fd74995006c61b SHA1 355a55f2213da5456bb478feec87931c6c1f491d SHA256 9bc25397669c2f4b71c8029b2c20b101ba6036388eba815b630141c45de6b673
DIST raknet-2.521.tgz 4896602 RMD160 e050ba6899d4b8e184cb6e910872c381aa22da89 SHA1 f3558a2b062e8f97286995f8e0f67e4b4f221d06 SHA256 b100f557992adf40d5c3794c395765327371916003a42ed6cdc632b17e84e5b2
+DIST raknet-3.011.tar.gz 3772107 RMD160 fc69208297dc152460488a7c954da85dbc2f7e0c SHA1 4e29674ce2661f56164e67ec0e75043341b9f243 SHA256 d82be504f49bb74dbcf27d95f6acfda360368b804692c0fdae20046a21a57c6c
EBUILD raknet-2.521.ebuild 952 RMD160 3720453b8100eb40b9d535c9b13939c6bf99b415 SHA1 839d04f5997855cf6524b689da56793c6391c591 SHA256 0e9e00a33adf9bf84597781e42a1472817e1b23d8d695edad582a2420fc745c2
-MISC ChangeLog 485 RMD160 1ee08bc3ea5c46d9634b1a955395c3d01fb55aaa SHA1 fd4851b0b4a9fd0e83f4cec3562c793a168a4671 SHA256 ba27d7df5e77c96bd286f2050cc344c3f590dd1617bcbb9109ad182f0e29833a
+EBUILD raknet-3.011.ebuild 861 RMD160 e2de871ed903ac633f880afd6c666340a3dfaab3 SHA1 e3002a8beafb1e187431399f521634cd4889fca0 SHA256 076a6ccf971de5170b54d30a261acf3eb60f20adc11137ef3ccd5ee4339f5f31
+MISC ChangeLog 597 RMD160 11e269f8cddd9d7bd64ac2d179fd698f6e5056c3 SHA1 8fdeda8aaf3728e427c896701a5c677166e1f9b1 SHA256 4daae1de5f70b264e1a2c1f58eca1bcb654b9e080f4a16c74f67cfd411e1be1b
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/net-libs/raknet/raknet-3.011.ebuild b/net-libs/raknet/raknet-3.011.ebuild
new file mode 100644
index 000000000..00af88f33
--- /dev/null
+++ b/net-libs/raknet/raknet-3.011.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit autotools
+
+DESCRIPTION="Multiplayer game network engine"
+HOMEPAGE="http://www.rakkarsoft.com/"
+SRC_URI="mirror://sourceforge/raknetjenkinsso/raknet-${PV}.tar.gz"
+LICENSE="CCPL-Attribution-NonCommercial-2.5"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc autopatcher rakvoice"
+
+RDEPEND=" rakvoice? ( media-libs/speex ) \
+ autopatcher? ( dev-db/libpq app-arch/bzip2 )"
+DEPEND=" ${RDEPEND}
+ dev-util/pkgconfig"
+
+src_compile() {
+ econf \
+ $(use_enable rakvoice) \
+ $(use_enable autopatcher) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc readme.txt
+ if use doc; then
+ dohtml Help/*
+ docinto api_reference
+ dohtml Help/Doxygen/html/*
+ fi
+}